明经CAD社区

 找回密码
 注册

QQ登录

只需一步,快速开始

搜索
查看: 1421|回复: 1

[ARX]问一个关于自定义实体的问题:不能在CAD中显示出来

[复制链接]
发表于 2005-7-12 22:09:00 | 显示全部楼层 |阅读模式

dwgInFields (AcDbDwgFiler *pFiler);
dwgOutFields(AcDbDwgFiler *pFiler) const;
dxfInFields (AcDbDxfFiler *pFiler);
dxfOutFields(AcDbDxfFiler *pFiler) const;
// 必须重载的函数,实现一个自定义实体的基本功能
worldDraw(AcGiWorldDraw *mode);
getGeomExtents(AcDbExtents & extents);
(const AcGeMatrix3d & xform);
getTransformedCopy(const AcGeMatrix3d &xform,AcDbEntity *&pEnt);
(AcGePoint3dArray & gripPoints,AcDbIntArray &osnapModes, cDbIntArray & geomIds) const;
moveGripPointsAt(const AcDbIntArray &indices, const AcGeVector3d &offset);

奇怪的是:该重载的我都重载了,但是都没有写实际的代码,只是在worldDraw中写了一些代码,想在CAD显示显示就够了,可是现在连显示都没有。而且,调试设断点,程序也没执行过去,不知道是什么原因,各位建议建议啊。
Adesk::Boolean
CWall::worldDraw(AcGiWorldDraw *mode)
{
 assertReadEnabled();
 // TODO: implement this function.
 if(mode->regenAbort())
      return Adesk::kTrue;
 AcGePoint3d point[2];
 if(mode!=NULL)
 {
  mode->subEntityTraits().setColor(5);
  point[0].set(100.0,200.0,0.0);
  point[1].set(200.0,300.0,0.0);
  mode->geometry().polyline(2,point);
 }
 return Adesk::kTrue;
}

发表于 2005-7-18 17:42:00 | 显示全部楼层
return AcDbEntity::worldDraw(mode);
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号 )  
©2000-2023 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2024-11-26 05:54 , Processed in 0.774853 second(s), 23 queries , Gzip On.

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

快速回复 返回顶部 返回列表